import java.io.*;
import java.util.*;

public class IODemo {
  public static void main(String[] args) {
    Scanner scanner = null;
    PrintWriter writer = null;

    try {
        File infil = new File("in.txt");
        scanner = new Scanner(infil);

        File utfil = new File("ut.txt");
        writer = new PrintWriter(utfil);

        while (scanner.hasNext()) {
            double x = scanner.nextDouble();
            writer.println(Math.sqrt(x));
        }
    } catch (FileNotFoundException e) {
        System.out.println(e.getMessage());
    } catch (InputMismatchException e){
       System.out.println("Indata ska vara tal");
    } finally{
      if (scanner != null) scanner.close();
      if (writer != null) writer.close();
    }

  }
}
